﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace BrowserFlow
{
  public partial class InBrowserPage : UserControl
  {
    public InBrowserPage()
    {
      InitializeComponent();

      // Set application name
      if (Application.Current.InstallState == InstallState.Installed)
      {
        installed.Visibility = Visibility.Visible;
        install.Visibility = Visibility.Collapsed;
        installedAppName.Text = ShortName();
      }
      else
      {
        // Show install dialog
        appName.Text = ShortName();
      }
    }

    private string ShortName()
    {
      return "\"" + Deployment.Current.OutOfBrowserSettings.ShortName + "\"";
    }

    private void install_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
    {
      Application.Current.Install();
    }
  }
}
