﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace ImageShop
{
    public partial class Grippy : UserControl
    {
        public Grippy()
        {
            InitializeComponent();
        }

        /*
         *  When the grippy is held and dragged, drag-resize the window
         */ 
        private void UserControl_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            Application.Current.MainWindow.DragResize(WindowResizeEdge.BottomRight);
        }

        private void UserControl_MouseEnter(object sender, MouseEventArgs e)
        {
            this.Cursor = Cursors.SizeNWSE;
        }

        private void UserControl_MouseLeave(object sender, MouseEventArgs e)
        {
            this.Cursor = Cursors.Arrow;
        }
    }
}
