﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace TrustedApp
{
  public partial class Toolbar : UserControl
  {
    public Toolbar()
    {
      InitializeComponent();

      // Initialize
      SetButtonEnableState(import, false);
    }

    public void SetButtonEnableState(FrameworkElement button, bool enable)
    {
      if (enable)
      {
        button.Opacity = 1.0;
        button.Cursor = Cursors.Hand;
        button.IsHitTestVisible = true;
      }
      else
      {
        button.Opacity = .4;
        button.Cursor = Cursors.Arrow;
        button.IsHitTestVisible = false;
      }
    }

    public Button ImportButton { get { return import; } }
    public Button ExportButton { get { return export; } }
    public Button ShuffleButton { get { return shuffle; } }
    public Button ToastButton { get { return toast; } }
  }
}
